Launchpad couldn't connect to Mozilla Bugzilla

Bug #1802798 reported by Paul White on 2018-11-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Unassigned

Bug Description

I'm seeing this issue on numerous Firefox and Thunderbird bug reports resulting in statuses not being updated.

Examples:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1740180
https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1774121

Related branches

Colin Watson (cjwatson) wrote :

I'm seeing stuff like this in logs, which is probably relevant:

2018-11-11 03:09:48 INFO Error updating https://bugzilla.mozilla.org/: https://bugzilla.mozilla.org: Exceeded 30 redirects.

tags: added: bugwatch lp-bugs
Changed in launchpad:
status: New → Triaged
importance: Undecided → High
Colin Watson (cjwatson) on 2018-11-12
Changed in launchpad:
assignee: nobody → Colin Watson (cjwatson)
status: Triaged → In Progress
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
Changed in launchpad:
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

This change seems to be an improvement as far as it goes and it gets past the previous failure, though authentication fails from our dogfood instance. This may just be a problem with the configuration on dogfood, so we'll need to see how it behaves on production.

tags: added: qa-ok
removed: qa-needstesting
Colin Watson (cjwatson) wrote :

OK, so it wasn't just a dogfood-specific problem. The new problem seems to be stuff like this:

2018-12-11 06:42:52 INFO Failure updating bug u'564437' on https://bugzilla.mozilla.org (local bug: 810622): https://bugzilla.mozilla.org: Fault 32000: API key authentication is required.

So I guess we need to work out what's changed about BMO's authentication arrangements.

Changed in launchpad:
assignee: Colin Watson (cjwatson) → nobody
status: Fix Committed → Triaged
Colin Watson (cjwatson) wrote :

The first occurrence of the "Exceeded 30 redirects" failure in our logs was at 2018-06-26 17:05:17; before that updates seemed to be working fine. Now, that does coincide with us deploying a refactoring of our external bug tracker code, so it could either be that we broke authentication to BMO somehow in the process of that, or else that BMO's authentication arrangements genuinely changed at some point between then and now but that the exact time of that was masked by the bug I fixed in r18836.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions